%define module Image-Size
%define version 2.992
%define release 3mdk
%define epoch 1

Summary: %{module} module for perl
Name: perl-%{module}
Version: %{version}
Release: %{release}
Epoch: %{epoch}
License: GPL
Group: Development/Perl
Source0: %{module}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl
BuildArch: noarch

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CC='cc -DENGLISH' OPTIMIZE="$RPM_OPT_FLAGS"
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Image
%{perl_vendorlib}/auto/Image

%changelog
* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 2.992-3mdk
- rebuild

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.992-2mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.992-1mdk
- 2.992.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.991-2mdk
- rebuild for new auto{prov,req}

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 2.991-1mdk
- 2.991.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.99-3mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.99-2mdk
- rebuild for perl 5.8.0
- remove filelist, nicer to use %%files

* Mon May 13 2002 Franois Pons <fpons@mandrakesoft.com> 2.99-1mdk
- 2.99.

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 2.98-1mdk
- 2.98.

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.903-6mdk
- should be noarch

* Fri Jan 18 2002 Warly <warly@mandrakesoft.com> 2.903-5mdk
- rebuild for new perl module location

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.903-4mdk
- fix discription
- fix path to manpages

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.903-3mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.903-2mdk
- Rebuild against the latest perl.
- Remove the references to Vendor and Distribution.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.903-1mdk
- First Mandrake release
- Needed for eGrail
